/* Header file for monitor.c */

#ifndef MONITOR_H
#define MONITOR_H 1

#include <sys/types.h>
#include <unistd.h>

void runmonitors();

/* MONITOR typedef. */
typedef struct monitor_t {
  char *title;
  char *cmd;
  char *stdin_file;
  char *stdout_file;
  pid_t pid;

  /* The file containing the report generated by the module. */
  char *report_file;

  /* The flags of the monitor. Currently the only valid flag is MONITOR_FLAG_DAEMON */
  int flags;
} MONITOR;

#define MONITOR_FLAG_DAEMON 1

void addmonitor(MONITOR newmon);

/* The list of non-daemon monitors. */
extern MONITOR *monitorlist;
extern int nummonitors;

/* dmonitor.h needs the MONITOR typedef defined. */
#include "dmonitor.h"

#endif /* monitor.h */

